function [x] = readSamplesFile(fname,varargin)
%readSamplesFile -- Read samples file output by Freescale PLC modems
%  ex.: readSamplesFile(fname,[type]);
%  Open and read sample file whose name is given by 'fname'.  Specify
%  'complex' for [type] if samples are complex.
complexData = 0;
if nargin > 1
    if strcmp(varargin{:,1},'complex')
        complexData = 1;
    end
end
fid = fopen(fname);
x = fread(fid,inf,'int16');
if complexData
    x = complex(x(1:2:end),x(2:2:end));
end
fclose(fid);
end